	.text
	.p2align 4,,15
	.globl	_dl_cache_libcmp
	.hidden	_dl_cache_libcmp
	.type	_dl_cache_libcmp, @function
_dl_cache_libcmp:
.L2:
	movsbl	(%rdi), %eax
	movsbl	(%rsi), %edx
	testb	%al, %al
	je	.L20
.L11:
	leal	-48(%rax), %r8d
	leal	-48(%rdx), %ecx
	cmpb	$9, %r8b
	jbe	.L21
	cmpb	$9, %cl
	jbe	.L15
	cmpb	%dl, %al
	jne	.L18
	addq	$1, %rdi
	movsbl	(%rdi), %eax
	addq	$1, %rsi
	movsbl	(%rsi), %edx
	testb	%al, %al
	jne	.L11
.L20:
	movsbl	%dl, %eax
	negl	%eax
	ret
	.p2align 4,,10
	.p2align 3
.L21:
	cmpb	$9, %cl
	ja	.L12
	movsbl	1(%rdi), %ecx
	leaq	1(%rdi), %r8
	subl	$48, %eax
	subl	$48, %edx
	leaq	1(%rsi), %r9
	leal	-48(%rcx), %edi
	cmpb	$9, %dil
	movq	%r8, %rdi
	ja	.L5
	.p2align 4,,10
	.p2align 3
.L6:
	leal	(%rax,%rax,4), %eax
	addq	$1, %rdi
	leal	-48(%rcx,%rax,2), %eax
	movsbl	(%rdi), %ecx
	leal	-48(%rcx), %r8d
	cmpb	$9, %r8b
	jbe	.L6
.L5:
	movsbl	1(%rsi), %ecx
	leal	-48(%rcx), %esi
	cmpb	$9, %sil
	movq	%r9, %rsi
	ja	.L7
	.p2align 4,,10
	.p2align 3
.L8:
	leal	(%rdx,%rdx,4), %edx
	addq	$1, %rsi
	leal	-48(%rcx,%rdx,2), %edx
	movsbl	(%rsi), %ecx
	leal	-48(%rcx), %r8d
	cmpb	$9, %r8b
	jbe	.L8
.L7:
	cmpl	%eax, %edx
	je	.L2
.L18:
	subl	%edx, %eax
	ret
	.p2align 4,,10
	.p2align 3
.L15:
	movl	$-1, %eax
	ret
.L12:
	movl	$1, %eax
	ret
	.size	_dl_cache_libcmp, .-_dl_cache_libcmp
	.p2align 4,,15
	.type	search_cache, @function
search_cache:
	pushq	%r15
	pushq	%r14
	movq	$-1, %r14
	pushq	%r13
	pushq	%r12
	movl	%esi, %r13d
	pushq	%rbp
	pushq	%rbx
	movq	%rdx, %r12
	movl	%ecx, %ebx
	subq	$216, %rsp
	movq	8+_rtld_local_ro(%rip), %rbp
	movq	%rdi, 8(%rsp)
	movl	%r8d, 72(%rsp)
	movq	%r9, 16(%rsp)
	movq	%r14, 32(%rsp)
	testq	%rbp, %rbp
	je	.L23
	leaq	581+_rtld_local_ro(%rip), %rsi
	movq	%rbp, %rdi
	call	strcmp
	testl	%eax, %eax
	je	.L78
	leaq	590+_rtld_local_ro(%rip), %rsi
	movq	%rbp, %rdi
	call	strcmp
	testl	%eax, %eax
	movabsq	$2251799813685248, %rax
	cmovne	%r14, %rax
	movq	%rax, 32(%rsp)
.L23:
	leaq	160(%rsp), %rsi
	xorl	%edx, %edx
	movl	$15, %edi
	movq	%rsi, 56(%rsp)
	call	__GI___tunable_get_val
	movq	160(%rsp), %rax
	subl	$1, %ebx
	movl	%ebx, %r15d
	movq	%rax, 48(%rsp)
	movq	88+_rtld_local_ro(%rip), %rax
	movq	%rax, 40(%rsp)
	js	.L82
	movl	72(%rsp), %r14d
	sarl	%ebx
	movslq	%ebx, %rax
	imulq	%r14, %rax
	movl	4(%r12,%rax), %esi
	cmpl	%esi, %r13d
	jbe	.L82
	xorl	%ebp, %ebp
	movq	8(%rsp), %r10
	movq	16(%rsp), %r11
	jmp	.L26
	.p2align 4,,10
	.p2align 3
.L66:
	leal	-1(%rbx), %r15d
	cmpl	%r15d, %ebp
	jg	.L82
.L68:
	leal	0(%rbp,%r15), %eax
	movl	%eax, %ebx
	shrl	$31, %ebx
	addl	%eax, %ebx
	sarl	%ebx
	movslq	%ebx, %rax
	imulq	%r14, %rax
	movl	4(%r12,%rax), %esi
	cmpl	%r13d, %esi
	jnb	.L82
.L26:
	addq	%r10, %rsi
	movq	%r11, %rdi
	call	_dl_cache_libcmp
	testl	%eax, %eax
	je	.L131
	jns	.L66
	leal	1(%rbx), %ebp
	cmpl	%r15d, %ebp
	jle	.L68
	.p2align 4,,10
	.p2align 3
.L82:
	movq	$0, 24(%rsp)
.L22:
	movq	24(%rsp), %rax
	addq	$216, %rsp
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	ret
	.p2align 4,,10
	.p2align 3
.L131:
	testl	%ebx, %ebx
	jle	.L84
	leal	-1(%rbx), %ebp
	movq	%r14, %rdx
	movslq	%ebp, %rax
	imulq	%rax, %rdx
	movl	4(%r12,%rdx), %esi
	cmpl	%esi, %r13d
	jbe	.L84
	subq	$1, %rax
	movl	%ebx, 24(%rsp)
	movq	%r12, 64(%rsp)
	imulq	%r14, %rax
	movl	%ebp, %ebx
	movq	8(%rsp), %r11
	leaq	4(%r12,%rax), %r10
	movq	%r10, %r12
	movq	16(%rsp), %r10
	jmp	.L29
	.p2align 4,,10
	.p2align 3
.L132:
	testl	%ebx, %ebx
	je	.L128
	movl	(%r12), %esi
	subq	%r14, %r12
	leal	-1(%rbx), %edi
	cmpl	%esi, %r13d
	jbe	.L128
	movl	%edi, %ebx
.L29:
	addq	%r11, %rsi
	movq	%r10, %rdi
	leal	1(%rbx), %ebp
	call	_dl_cache_libcmp
	testl	%eax, %eax
	je	.L132
	movl	24(%rsp), %ebx
	movq	64(%rsp), %r12
	jmp	.L28
	.p2align 4,,10
	.p2align 3
.L128:
	movl	%ebx, %ebp
	movq	64(%rsp), %r12
	movl	24(%rsp), %ebx
.L28:
	movslq	%ebp, %rax
	movq	40(%rsp), %r10
	andq	48(%rsp), %r10
	imulq	%r14, %rax
	movabsq	$-9219149912204115968, %r11
	movl	$0, 64(%rsp)
	movq	$0, 24(%rsp)
	orq	%r11, %r10
	addq	%rax, %r12
	notq	%r10
	movq	%r12, %rax
	movq	%r10, 40(%rsp)
	movl	%ebp, %r12d
	movq	%rax, %rbp
	jmp	.L65
	.p2align 4,,10
	.p2align 3
.L32:
	addl	$1, %r12d
	addq	%r14, %rbp
	cmpl	%r15d, %r12d
	jg	.L22
.L65:
	cmpl	%ebx, %r12d
	jle	.L31
	movl	4(%rbp), %esi
	cmpl	%r13d, %esi
	jnb	.L22
	addq	8(%rsp), %rsi
	movq	16(%rsp), %rdi
	call	_dl_cache_libcmp
	testl	%eax, %eax
	jne	.L22
.L31:
	cmpl	$771, 0(%rbp)
	jne	.L32
	movl	8(%rbp), %eax
	cmpl	%r13d, %eax
	jnb	.L32
	cmpq	$0, 24(%rsp)
	je	.L33
	cmpl	$771, 84+_rtld_local_ro(%rip)
	jne	.L32
	cmpl	$24, 72(%rsp)
	jne	.L133
	movq	16(%rbp), %r11
	movq	%r11, %rcx
	shrq	$32, %rcx
	movq	%rcx, %rdx
	andq	$-1024, %rdx
	cmpq	$1073741824, %rdx
	jne	.L22
.L73:
	movl	$1, %edx
	sall	%cl, %edx
	movl	384+_rtld_local_ro(%rip), %ecx
	andl	%edx, %ecx
	cmpl	%ecx, %edx
	jne	.L32
	movl	$1073741824, %esi
.L75:
	movl	4+_rtld_local_ro(%rip), %edx
	testl	%edx, %edx
	jne	.L134
.L36:
	movabsq	$4222124650659840, %rdx
	andq	%r11, %rdx
	je	.L87
	cmpq	32(%rsp), %rdx
	jne	.L32
.L87:
	cmpq	$1073741824, %rsi
	je	.L135
.L38:
	addq	8(%rsp), %rax
	cmpl	$771, 84+_rtld_local_ro(%rip)
	movq	%rax, 24(%rsp)
	jne	.L32
	jmp	.L22
	.p2align 4,,10
	.p2align 3
.L33:
	cmpl	$24, 72(%rsp)
	jne	.L38
	movq	16(%rbp), %r11
	movq	%r11, %rcx
	shrq	$32, %rcx
	movq	%rcx, %rsi
	andq	$-1024, %rsi
	cmpq	$1073741824, %rsi
	je	.L73
	testq	%r11, 40(%rsp)
	jne	.L32
	jmp	.L75
	.p2align 4,,10
	.p2align 3
.L134:
	cmpl	12(%rbp), %edx
	jnb	.L36
	jmp	.L32
.L78:
	movabsq	$1125899906842624, %rax
	movq	%rax, 32(%rsp)
	jmp	.L23
.L133:
	addq	8(%rsp), %rax
	movq	%rax, 24(%rsp)
	jmp	.L22
.L84:
	movl	%ebx, %ebp
	jmp	.L28
.L135:
	movl	glibc_hwcaps_priorities_length(%rip), %eax
	movl	%r11d, 76(%rsp)
	testl	%eax, %eax
	movl	%eax, 48(%rsp)
	je	.L136
.L39:
	movl	48(%rsp), %ecx
	cmpl	%ecx, 76(%rsp)
	jnb	.L32
	movq	glibc_hwcaps_priorities(%rip), %rax
	movl	%r11d, %r11d
	movl	(%rax,%r11,4), %eax
	testl	%eax, %eax
	je	.L32
	cmpq	$0, 24(%rsp)
	je	.L64
	cmpl	%eax, 64(%rsp)
	jbe	.L32
.L64:
	movl	8(%rbp), %edx
	movl	%eax, 64(%rsp)
	addq	8(%rsp), %rdx
	movq	%rdx, 24(%rsp)
	jmp	.L32
.L136:
	movq	56(%rsp), %rax
	pxor	%xmm0, %xmm0
	movq	cachesize(%rip), %rcx
	movq	cache(%rip), %rdi
	movaps	%xmm0, 32(%rax)
	movq	%rcx, 80(%rsp)
	movq	%rdi, 104(%rsp)
	movaps	%xmm0, (%rax)
	movaps	%xmm0, 16(%rax)
	movq	cache_new(%rip), %rax
	movl	32(%rax), %eax
	testl	%eax, %eax
	je	.L86
	testb	$3, %al
	jne	.L32
	leaq	8(%rax), %rdx
	cmpq	%rdx, %rcx
	jb	.L32
	addq	%rdi, %rax
	cmpl	$-358342284, (%rax)
	jne	.L32
	movl	4(%rax), %ecx
	movq	%rcx, %rdi
	salq	$4, %rcx
	addq	%rcx, %rdx
	cmpq	%rdx, 80(%rsp)
	jb	.L32
	testl	%edi, %edi
	je	.L48
	movl	16(%rax), %edx
	movl	20(%rax), %ecx
	leaq	(%rdx,%rcx), %rsi
	cmpq	%rsi, 80(%rsp)
	jb	.L32
	subl	$1, %edi
	addq	$8, %rax
	salq	$4, %rdi
	addq	%rax, %rdi
	jmp	.L45
.L47:
	movl	24(%rax), %edx
	movl	28(%rax), %ecx
	addq	$16, %rax
	leaq	(%rdx,%rcx), %rsi
	cmpq	%rsi, 80(%rsp)
	jb	.L32
.L45:
	movl	(%rax), %esi
	cmpl	$1, %esi
	ja	.L46
	addq	104(%rsp), %rdx
	leaq	(%rsi,%rsi,2), %rsi
	salq	$3, %rsi
	movq	%rcx, 168(%rsp,%rsi)
	movq	%rdx, 160(%rsp,%rsi)
	movl	4(%rax), %edx
	movl	%edx, 176(%rsp,%rsi)
.L46:
	cmpq	%rax, %rdi
	jne	.L47
.L48:
	movq	192(%rsp), %rdx
	testq	%rdx, %rdx
	jne	.L137
.L43:
	movq	$0, 184(%rsp)
	movq	$0, 192(%rsp)
	movl	$0, 200(%rsp)
	movq	$0, 88(%rsp)
	jmp	.L40
	.p2align 4,,10
	.p2align 3
.L86:
	movq	$0, 88(%rsp)
.L40:
	movq	184(%rsp), %r8
	movq	88(%rsp), %rax
	movq	_dl_hwcaps_priorities(%rip), %r10
	movq	glibc_hwcaps_priorities(%rip), %r9
	movl	%r12d, 136(%rsp)
	movl	%ebx, 140(%rsp)
	addq	%r8, %rax
	movq	%rbp, 144(%rsp)
	movq	%r8, %r12
	movq	%rax, 88(%rsp)
	movl	_dl_hwcaps_priorities_length(%rip), %eax
	movq	%r9, %rbx
	movq	%r10, %rbp
	movq	%r11, 152(%rsp)
	salq	$4, %rax
	addq	%r10, %rax
	movq	%rax, 112(%rsp)
.L52:
	cmpq	%r12, 88(%rsp)
	jbe	.L88
.L140:
	cmpq	%rbp, 112(%rsp)
	jbe	.L88
	movl	(%r12), %ecx
	cmpq	%rcx, 80(%rsp)
	jbe	.L53
	addq	104(%rsp), %rcx
	movq	0(%rbp), %rsi
	movl	8(%rbp), %eax
	movq	%rsi, 128(%rsp)
	movq	%rcx, %rdi
	movq	%rcx, 120(%rsp)
	movl	%eax, 96(%rsp)
	call	strlen
	cmpl	%eax, 96(%rsp)
	movq	120(%rsp), %rcx
	movq	128(%rsp), %rsi
	jbe	.L138
	movl	%eax, %edx
	movq	%rcx, %rdi
	call	memcmp
	testl	%eax, %eax
	je	.L58
.L69:
	testl	%eax, %eax
	jns	.L139
.L58:
	movl	$0, (%rbx)
	addq	$4, %r12
	addq	$4, %rbx
	cmpq	%r12, 88(%rsp)
	ja	.L140
.L88:
	movq	88(%rsp), %rcx
	movq	%r12, %r8
	movq	%rbx, %r9
	movl	136(%rsp), %r12d
	movl	140(%rsp), %ebx
	movq	144(%rsp), %rbp
	movq	152(%rsp), %r11
	cmpq	%r8, %rcx
	jbe	.L62
	movq	%r8, %rax
	notq	%rax
	addq	%rcx, %rax
	shrq	$2, %rax
	leaq	4(%r9,%rax,4), %rax
.L63:
	movl	$0, (%r9)
	addq	$4, %r9
	cmpq	%rax, %r9
	jne	.L63
.L62:
	movl	48(%rsp), %eax
	movl	%eax, glibc_hwcaps_priorities_length(%rip)
	jmp	.L39
.L53:
	movl	$0, (%rbx)
	addq	$4, %rbx
	jmp	.L52
.L138:
	movl	96(%rsp), %edx
	movq	%rcx, %rdi
	movq	%rax, 120(%rsp)
	call	memcmp
	testl	%eax, %eax
	movq	120(%rsp), %r11
	jne	.L69
	cmpl	%r11d, 96(%rsp)
	leaq	16(%rbp), %rax
	jb	.L56
	movl	12(%rbp), %edx
	addq	$4, %rbx
	addq	$4, %r12
	movq	%rax, %rbp
	movl	%edx, -4(%rbx)
	jmp	.L52
.L139:
	leaq	16(%rbp), %rax
.L56:
	movq	%rax, %rbp
	jmp	.L52
.L137:
	testb	$3, 184(%rsp)
	jne	.L43
	testb	$3, %dl
	jne	.L43
	shrq	$2, %rdx
	movl	%edx, %eax
	movl	%edx, 48(%rsp)
	salq	$2, %rax
	cmpl	%edx, glibc_hwcaps_priorities_allocated(%rip)
	movq	%rax, 88(%rsp)
	jnb	.L40
	cmpb	$0, glibc_hwcaps_priorities_malloced(%rip)
	je	.L50
	movq	%rdx, 96(%rsp)
	movq	%r11, 80(%rsp)
	movq	glibc_hwcaps_priorities(%rip), %rdi
	call	*__rtld_free(%rip)
	movq	96(%rsp), %rdx
	movq	80(%rsp), %r11
.L50:
	movq	%rdx, 96(%rsp)
	movq	%r11, 80(%rsp)
	movq	$0, glibc_hwcaps_priorities(%rip)
	movl	$0, glibc_hwcaps_priorities_allocated(%rip)
	movq	88(%rsp), %rdi
	call	*__rtld_malloc(%rip)
	testq	%rax, %rax
	movq	80(%rsp), %r11
	movq	96(%rsp), %rdx
	je	.L141
	movq	%r11, 96(%rsp)
	movq	%rax, glibc_hwcaps_priorities(%rip)
	movl	%edx, glibc_hwcaps_priorities_allocated(%rip)
	call	__rtld_malloc_is_complete
	movb	%al, glibc_hwcaps_priorities_malloced(%rip)
	movq	cachesize(%rip), %rax
	movq	96(%rsp), %r11
	movq	%rax, 80(%rsp)
	movq	cache(%rip), %rax
	movq	%rax, 104(%rsp)
	jmp	.L40
.L141:
	movl	glibc_hwcaps_priorities_length(%rip), %eax
	movl	%eax, 48(%rsp)
	jmp	.L39
	.size	search_cache, .-search_cache
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	" search cache=%s\n"
.LC1:
	.string	"glibc-ld.so.cache1.1"
.LC2:
	.string	"ld.so-1.7.0"
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC3:
	.string	"/root/wip/nyanglibc/fork/elf/dl-cache.c"
	.section	.rodata.str1.1
.LC4:
	.string	"cache != NULL"
.LC5:
	.string	"  trying file=%s\n"
	.text
	.p2align 4,,15
	.globl	_dl_load_cache_lookup
	.hidden	_dl_load_cache_lookup
	.type	_dl_load_cache_lookup, @function
_dl_load_cache_lookup:
	pushq	%rbp
	movq	%rdi, %r9
	movq	%rsp, %rbp
	pushq	%rbx
	subq	$24, %rsp
	testb	$1, _rtld_local_ro(%rip)
	jne	.L198
.L143:
	movq	cache(%rip), %r8
	testq	%r8, %r8
	je	.L199
.L144:
	cmpq	$-1, %r8
	je	.L163
	movq	cachesize(%rip), %rsi
.L161:
	movq	cache_new(%rip), %rdi
	cmpq	$-1, %rdi
	je	.L160
	movl	20(%rdi), %ecx
	leaq	48(%rdi), %rdx
	movl	$24, %r8d
	call	search_cache
	movq	%rax, %rbx
.L165:
	testb	$1, _rtld_local_ro(%rip)
	jne	.L200
	testq	%rbx, %rbx
	je	.L163
.L167:
	movq	%rbx, %rdi
	call	strlen
	leaq	1(%rax), %rdx
	addq	$31, %rax
	movq	%rbx, %rsi
	andq	$-16, %rax
	subq	%rax, %rsp
	leaq	15(%rsp), %rcx
	andq	$-16, %rcx
	movq	%rcx, %rdi
	call	memcpy@PLT
	movq	%rax, %rdi
	call	__strdup
	movq	-8(%rbp), %rbx
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L199:
	movq	conf_ld_so_cache@GOTPCREL(%rip), %rdi
	leaq	cachesize(%rip), %rsi
	movl	$1, %edx
	movq	%r9, -24(%rbp)
	call	_dl_sysdep_read_whole_file
	cmpq	$-1, %rax
	movq	%rax, %r8
	je	.L145
	movq	cachesize(%rip), %rsi
	movq	-24(%rbp), %r9
	cmpq	$48, %rsi
	jbe	.L146
	movabsq	$7521962881247572782, %rdx
	xorq	8(%rax), %rdx
	movabsq	$7236208606153632871, %rax
	xorq	(%r8), %rax
	orq	%rax, %rdx
	je	.L201
.L149:
	movabsq	$3328491556300547180, %rax
	cmpq	%rax, (%r8)
	jne	.L153
	cmpw	$11831, 8(%r8)
	jne	.L153
	cmpb	$48, 10(%r8)
	jne	.L153
	leaq	-16(%rsi), %rdx
	movabsq	$-6148914691236517205, %rdi
	movl	12(%r8), %ecx
	movq	%rdx, %rax
	mulq	%rdi
	shrq	$3, %rdx
	cmpq	%rcx, %rdx
	jb	.L153
	leaq	(%rcx,%rcx,2), %rax
	movq	%r8, cache(%rip)
	leaq	23(,%rax,4), %rax
	andq	$-8, %rax
	leaq	(%r8,%rax), %rdx
	addq	$48, %rax
	cmpq	%rax, %rsi
	movq	%rdx, cache_new(%rip)
	jb	.L156
	movabsq	$7521962881247572782, %rcx
	movabsq	$7236208606153632871, %rax
	xorq	8(%rdx), %rcx
	xorq	(%rdx), %rax
	orq	%rax, %rcx
	jne	.L156
	cmpl	$825110885, 16(%rdx)
	je	.L202
	.p2align 4,,10
	.p2align 3
.L156:
	movq	$-1, cache_new(%rip)
	.p2align 4,,10
	.p2align 3
.L160:
	movl	12(%r8), %eax
	leaq	16(%r8), %rdx
	movq	%rax, %rcx
	leaq	(%rax,%rax,2), %rax
	leaq	16(,%rax,4), %rdi
	subq	%rdi, %rsi
	addq	%r8, %rdi
	movl	$12, %r8d
	call	search_cache
	movq	%rax, %rbx
	jmp	.L165
	.p2align 4,,10
	.p2align 3
.L146:
	cmpq	$16, %rsi
	ja	.L149
.L153:
	movq	%r8, %rdi
	call	__munmap
.L145:
	movq	$-1, cache(%rip)
.L163:
	xorl	%eax, %eax
.L203:
	movq	-8(%rbp), %rbx
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L198:
	movq	conf_ld_so_cache@GOTPCREL(%rip), %rsi
	movq	%rdi, -24(%rbp)
	leaq	.LC0(%rip), %rdi
	xorl	%eax, %eax
	call	_dl_debug_printf
	movq	-24(%rbp), %r9
	jmp	.L143
	.p2align 4,,10
	.p2align 3
.L200:
	testq	%rbx, %rbx
	je	.L163
	leaq	.LC5(%rip), %rdi
	movq	%rbx, %rsi
	xorl	%eax, %eax
	call	_dl_debug_printf
	jmp	.L167
	.p2align 4,,10
	.p2align 3
.L201:
	cmpl	$825110885, 16(%r8)
	jne	.L149
	leaq	-48(%rsi), %rdx
	movabsq	$-6148914691236517205, %rcx
	movq	%rdx, %rax
	mulq	%rcx
	movl	20(%r8), %eax
	shrq	$4, %rdx
	cmpq	%rax, %rdx
	jb	.L149
	movzbl	28(%r8), %eax
	testb	%al, %al
	je	.L150
	andl	$3, %eax
	cmpb	$2, %al
	je	.L150
	movq	%r8, %rdi
	call	__munmap
	movq	$-1, %rax
	movq	%rax, cache_new(%rip)
	movq	%rax, cache(%rip)
	xorl	%eax, %eax
	jmp	.L203
	.p2align 4,,10
	.p2align 3
.L150:
	movq	%r8, cache_new(%rip)
	movq	%r8, cache(%rip)
	jmp	.L161
.L202:
	movzbl	28(%rdx), %eax
	testb	%al, %al
	je	.L161
	andl	$3, %eax
	cmpb	$2, %al
	je	.L161
	movq	$-1, %rax
	movq	%r8, %rdi
	movq	%r9, -24(%rbp)
	movq	%rax, cache(%rip)
	movq	%rax, cache_new(%rip)
	call	__munmap
	movq	cache(%rip), %r8
	movq	-24(%rbp), %r9
	testq	%r8, %r8
	jne	.L144
	leaq	__PRETTY_FUNCTION__.10166(%rip), %rcx
	leaq	.LC3(%rip), %rsi
	leaq	.LC4(%rip), %rdi
	movl	$482, %edx
	call	__GI___assert_fail
	.size	_dl_load_cache_lookup, .-_dl_load_cache_lookup
	.p2align 4,,15
	.globl	_dl_unload_cache
	.hidden	_dl_unload_cache
	.type	_dl_unload_cache, @function
_dl_unload_cache:
	movq	cache(%rip), %rdi
	leaq	-1(%rdi), %rax
	cmpq	$-3, %rax
	jbe	.L210
	movl	$0, glibc_hwcaps_priorities_length(%rip)
	ret
	.p2align 4,,10
	.p2align 3
.L210:
	subq	$8, %rsp
	movq	cachesize(%rip), %rsi
	call	__munmap
	movq	$0, cache(%rip)
	movl	$0, glibc_hwcaps_priorities_length(%rip)
	addq	$8, %rsp
	ret
	.size	_dl_unload_cache, .-_dl_unload_cache
	.section	.rodata.str1.16,"aMS",@progbits,1
	.align 16
	.type	__PRETTY_FUNCTION__.10166, @object
	.size	__PRETTY_FUNCTION__.10166, 22
__PRETTY_FUNCTION__.10166:
	.string	"_dl_load_cache_lookup"
	.globl	conf_ld_so_cache
	.data
	.align 32
	.type	conf_ld_so_cache, @object
conf_ld_so_cache:
	.string	"/etc/ld.so.cache"
	.size conf_ld_so_cache,.-conf_ld_so_cache
	.local	glibc_hwcaps_priorities_malloced
	.comm	glibc_hwcaps_priorities_malloced,1,1
	.local	glibc_hwcaps_priorities_allocated
	.comm	glibc_hwcaps_priorities_allocated,4,4
	.local	glibc_hwcaps_priorities_length
	.comm	glibc_hwcaps_priorities_length,4,4
	.local	glibc_hwcaps_priorities
	.comm	glibc_hwcaps_priorities,8,8
	.local	cachesize
	.comm	cachesize,8,8
	.local	cache_new
	.comm	cache_new,8,8
	.local	cache
	.comm	cache,8,8
	.hidden	_dl_debug_printf
	.hidden	__munmap
	.hidden	_dl_sysdep_read_whole_file
	.hidden	__strdup
	.hidden	__rtld_malloc_is_complete
	.hidden	__rtld_malloc
	.hidden	__rtld_free
	.hidden	memcmp
	.hidden	strlen
	.hidden	_dl_hwcaps_priorities_length
	.hidden	_dl_hwcaps_priorities
	.hidden	strcmp
	.hidden	_rtld_local_ro
